#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

int SCREEN_WIDTH = 128; // OLED display width, in pixels
int SCREEN_HEIGHT = 64; // OLED display height, in pixels

// Declaration for an SSD1306 display using I2C (SDA, SCL pins)
// Uncomment the following code to use I2C
Adafruit_SSD1306 oled(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);


// Declaration for an SSD1306 display using SPI
// Uncomment the following code to use SPI
//#define OLED_MOSI  9
//#define OLED_CLK   10
//#define OLED_RESET 13
//#define OLED_DC    11
//#define OLED_CS    12
//Adafruit_SSD1306 oled(SCREEN_WIDTH, SCREEN_HEIGHT,
//  OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);


void setup() {
  oled.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  delay(2000);
  oled.clearDisplay();

  oled.setTextSize(1); // 1 to 6
  oled.setTextColor(WHITE);
  oled.setCursor(0, 0);
  // Display static text
  oled.println("Hello world!");
  oled.drawPixel(64, 32, WHITE);
  oled.drawLine(0, 8, 127, 8, WHITE);
  oled.drawRect(49, 17, 60, 40, WHITE);
  oled.fillRoundRect(0, 20, 20, 30, 2, WHITE);
  oled.drawCircle(64, 32, 10, WHITE);
  oled.fillCircle(84, 40, 7, WHITE);
  oled.drawTriangle(100, 20, 120, 30, 105, 40, WHITE);
  oled.fillTriangle(22, 53, 47, 58, 5, 64, WHITE);
  oled.display(); 
}

void loop() {

}
